summaryrefslogtreecommitdiff
path: root/tests/chmod
diff options
context:
space:
mode:
authorRalf Wildenhues <Ralf.Wildenhues@gmx.de>2007-11-30 12:14:57 +0100
committerJim Meyering <meyering@redhat.com>2007-11-30 12:14:57 +0100
commit0db207c66c8b992f4c123c6a25f3cb1809ec4149 (patch)
tree3ec0294efce27ba341a7a2ec7b7255529aa6b808 /tests/chmod
parentd7ed3bcb8dd785f1404d6f68f53c6b5668ac56f8 (diff)
downloadcoreutils-0db207c66c8b992f4c123c6a25f3cb1809ec4149.tar.xz
Add quotes to protect against white space in build dir name.
* tests/check.mk (TESTS_ENVIRONMENT): Quote $(abs_srcdir). * tests/chmod/setgid: Quote absolute names. * tests/misc/help-version: Likewise. * tests/misc/pwd-unreadable-parent: Likewise. * tests/rmdir/ignore: Likewise. * tests/test-lib.sh: Likewise.
Diffstat (limited to 'tests/chmod')
-rwxr-xr-xtests/chmod/setgid4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/chmod/setgid b/tests/chmod/setgid
index 0c583f274..a91c6a581 100755
--- a/tests/chmod/setgid
+++ b/tests/chmod/setgid
@@ -30,7 +30,7 @@ test=$abs_top_builddir/src/test
umask 0
mkdir d || framework_failure
-chmod g+s d 2> /dev/null && $test -g d ||
+chmod g+s d 2> /dev/null && "$test" -g d ||
{
# This is required because on some systems (at least NetBSD 1.4.2A),
# it may happen that when you create a directory, its group isn't one
@@ -44,7 +44,7 @@ chmod g+s d 2> /dev/null && $test -g d ||
}
# "chmod g+s d" does nothing on some NFS file systems.
-$test -g d || {
+"$test" -g d || {
echo 1>&2 "$0: cannot create setgid directories," \
"so can't run this test"
exit 77